package com.heyu.api.alibaba.request.mm.order.resp;


import com.alibaba.fastjson.JSON;
import com.google.common.collect.Lists;
import com.heyu.api.alibaba.request.vv.AppBaseRequest;
import lombok.Data;

import java.util.List;

@Data
public class VvTradeOrderDTO  extends AppBaseRequest {


    private List<VvTradeOrderLineDTO> vvTradeOrderLineDTOList;


    private Long buyerAddressId;


    public static void main(String[] args) {
        VvTradeOrderDTO vvTradeOrderDTO = new VvTradeOrderDTO();
        vvTradeOrderDTO.setBuyerId(2L);
        vvTradeOrderDTO.setBuyerAddressId(2L);
        List<VvTradeOrderLineDTO> vvTradeOrderLineDTOList   = Lists.newArrayList();
        VvTradeOrderLineDTO vvTradeOrderLineDTO = new VvTradeOrderLineDTO();
        vvTradeOrderLineDTO.setSkuId(91L);
        vvTradeOrderLineDTO.setNum(2);

        vvTradeOrderLineDTOList.add(vvTradeOrderLineDTO);


        VvTradeOrderLineDTO vvTradeOrderLineDTO2 = new VvTradeOrderLineDTO();
        vvTradeOrderLineDTO2.setSkuId(92L);
        vvTradeOrderLineDTO2.setNum(3);

        vvTradeOrderLineDTOList.add(vvTradeOrderLineDTO2);
        vvTradeOrderDTO.setVvTradeOrderLineDTOList(vvTradeOrderLineDTOList);

        System.out.println(JSON.toJSONString(vvTradeOrderDTO));
    }
}
